FrankForum (Frankness IS Forum)

No ads, no mods, Frankly Anonymous (you can join w/fake name/email, are not tracked)!
It is currently 27 May 2019, 12:47

All times are UTC


Forum rules


Same rules as in other guest/member forums.



Post new topic  Reply to topic  [ 1 post ] 
Author Message
PostPosted: 08 Oct 2016, 20:10 
User avatar

Joined: 02 Sep 2015, 10:19
Posts: 92
Mozilla have pulled Firefox support older OS X releases.

There will be no further Firefox updates beyond v.48 for releases OS X 10.6 Snow Leopard, OS X 10.7 Lion and OS X 10.8 Mountain Lion.

To run Firefox v.49 the requirements are OS X 10.9 Mavericks upwards.

This follows Google pulling Chrome support for the same OS X releases.

Although Firefox v.48 will be good for a while yet this marks a significant turning point which most notably concerns OS X Snow Leopard which is now losing support on multiple fronts.

One can only hope the developers of the TenFourFox project popular on PowerPC architecture running OS X 10.4 Tiger and OS X 10.5 Leopard will take up the slack with an Intel version for Snow Leopard.


Report this post
Top
   
Display posts from previous:  Sort by  
Post new topic  Reply to topic  [ 1 post ] 

All times are UTC


You can post new topics in this forum
You can reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot post attachments in this forum

Search for:
Jump to:  
cron
Powered by phpBB® Forum Software © phpBB Limited